Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.thalia.bio.entity.factory
Class MapTabFactory

    java.lang.Object
      org.thalia.bio.entity.factory.BioEntityFactory
          org.thalia.bio.entity.factory.MapTabFactory

    public class MapTabFactory

extends BioEntityFactory

Author:
  Jean-Baptiste

Constructor Summary
`MapTabFactory()`

Method Summary
`IBioEntity` | `load(java.io.InputStream stream)`
`IBioEntity` | `load(java.io.Reader reader)`
`void` | `unload(IBioEntity entity, java.io.OutputStream stream)`
`void` | `unload(IBioEntity obj, java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapTabFactory

    public MapTabFactory()

Method Detail

### unload

    public void unload(IBioEntity obj,
                       java.io.Writer writer)
                throws java.io.IOException

  Specified by:
    `unload` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### load

    public IBioEntity load(java.io.Reader reader)
                    throws java.io.IOException

  Specified by:
    `load` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### load

    public IBioEntity load(java.io.InputStream stream)
                    throws java.io.IOException

  Specified by:
    `load` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### unload

    public void unload(IBioEntity entity,
                       java.io.OutputStream stream)
                throws java.io.IOException

  Specified by:
    `unload` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD